FSCK_MSDOS(8)

NAME
fsck_msdos - DOS/Windows (FAT) filesystem consistency checker

SYNOPSIS
fsck_msdos -p [-f] filesystem ...
fsck_msdos [-fny] [-x snap-backup] filesystem ...

DESCRIPTION
The fsck_msdos utility verifies and repairs FAT filesystems (more commonly known as DOS filesystems).

The first form of fsck_msdos preens the specified filesystems. It is normally started by fsck(8) run from /etc/rc during automatic reboot, when a FAT filesystem is detected. When preening file systems, fsck_msdos will fix common inconsistencies non-interactively. If more serious problems are found, fsck_msdos does not try to fix them, indicates that it was not successful, and exits.

The second form of fsck_msdos checks the specified file systems and tries to repair all detected inconsistencies, requesting confirmation before making any changes.

The options are as follows:

-f  This option is ignored by fsck_msdos, and is present only for compatibility with programs that check other file system types for consistency, such as fsck_ffs(8).

-n  Causes fsck_msdos to assume no as the answer to all operator questions, except “CONTINUE?”.

-p  Preen the specified filesystems.

-x snap-backup
    Use a snapshot with snap-backup as backup to check a read-write mounted filesystem. Must be used with -n. See fss(4) for more details. The point is to check an internally-consistent version of the filesystem to find out if it is damaged; on failure one should unmount the filesystem and repair it.

-y  Causes fsck_msdos to assume yes as the answer to all operator questions.

SEE ALSO
fss(4), fsck(8), fsck_ffs(8), mount_msdos(8)

HISTORY
A fsck_msdos utility appeared in NetBSD 1.2.

BUGS
fsck_msdos is still under construction.